# Method: projects.instances.partialUpdateInstance

Partially updates an instance within a project. This method can modify all fields of an Instance and is the preferred way to update an Instance.

### HTTP request

`PATCH https://bigtableadmin.googleapis.com/v2/{instance.name=projects/*/instances/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `instance.name` | `string` The unique name of the instance. Values are of the form `projects/{project}/instances/[a-z][a-z0-9\\-]+[a-z0-9]`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The subset of Instance fields which should be replaced. Must be explicitly set. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/projects.instances#Instance`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/bigtable/docs/reference/admin/rest/v2/operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigtable.admin`
- `https://www.googleapis.com/auth/bigtable.admin.cluster`
- `https://www.googleapis.com/auth/bigtable.admin.instance`
- `https://www.googleapis.com/auth/cloud-bigtable.admin`
- `https://www.googleapis.com/auth/cloud-bigtable.admin.cluster`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).